
plugins {
	application
	id("com.gradleup.shadow") version "8.3.6"
}

dependencies {
	implementation(project(":common"))
}

java {
	toolchain {
		languageVersion = JavaLanguageVersion.of(21)
	}
}

application {
	mainClass = "server.Server"
	tasks.run.get().workingDir = rootProject.file("dev/server")
	tasks.run.get().workingDir.mkdirs()
	tasks.run.get().systemProperties.put("runtime.devmode", "")
	tasks.run.get().standardInput = System.`in`
}

tasks.shadowJar {
	destinationDirectory = rootProject.file("dev")
	archiveFileName = "tcr_server.jar"
}
